.\" Copyright (c) 2001 Murray Stokely
.\" Copyright (c) 1999 Takanori Watanabe
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man4/man4.i386/amdpm.4,v 1.1.2.3 2002/03/12 12:28:48 murray Exp $
.\" $DragonFly: src/share/man/man4/man4.i386/amdpm.4,v 1.3 2006/11/11 18:50:04 swildner Exp $
.\"
.Dd September 16, 2001
.Dt AMDPM 4 i386
.Os
.Sh NAME
.Nm amdpm
.Nd AMD 756 Power Management controller driver
.Sh SYNOPSIS
.Cd device smbus
.Cd device smb
.Cd device amdpm
.Sh DESCRIPTION
This driver provides access to the
.Tn AMD 756 Power management controller .
Currently, only smbus controller function is implemented.
.Pp
The embedded SMBus controller of the AMD 756 chipset may give you access
to the monitoring facilities of your mainboard.
See
.Xr smb 4
for writing user code to fetch voltages, temperature and so on from the
monitoring chip of your mainboard.
.Sh SEE ALSO
.Xr smb 4 ,
.Xr smbus 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Fx 4.5 .
.Sh AUTHORS
.An -nosplit
This driver was written by
.An Matthew C. Forman .
Based heavily on the
.Nm alpm
driver by
.An Nicolas Souchu .
This manual page was written by
.An Murray Stokely Aq murray@FreeBSD.org .
.Sh BUGS
Only polling mode is supported.
